<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class TrackingNumberObject
{
    /** @var int */
    private $type;

    /** @var string */
    private $trackingNumber;

    /** @var null|string */
    private $courier;

    /**
     * TrackingNumberObject constructor.
     * @param int $type
     * @param string $trackingNumber
     * @param null|string $courier
     */
    public function __construct(int $type, string $trackingNumber, ?string $courier = null)
    {
        $this->type = $type;
        $this->trackingNumber = $trackingNumber;
        $this->courier = $courier;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return string
     */
    public function getTrackingNumber(): string
    {
        return $this->trackingNumber;
    }

    /**
     * @return null|string
     */
    public function getCourier(): ?string
    {
        return $this->courier;
    }

}